/* m_wallops.c -- write to all opers currently online;
 * Copyright (C) 2001-2002, ForestNet IRC Network
 * This is a free software; see file `license' for details.
 * $Id: m_wallops.c,v 1.4 2002/11/18 12:44:08 hex Exp $
 */

#include "struct.h"
#include "send.h"
#include "numeric.h"
#include "h.h"

/* parv[0] = sender prefix, parv[1] = message text */

int m_wallops(aClient *cptr, aClient *sptr, int parc, char *parv[])
{
	if (check_registered(sptr))
		return 0;

	if (BadPtr(parv[1])) {
		sendto_one(sptr, err_str(ERR_NEEDMOREPARAMS), me.name,
			parv[0], "WALLOPS");
		return 0;
	}

	if (MyClient(sptr) && !IsAnOper(sptr)) {
		sendto_one(sptr, err_str(ERR_NOPRIVILEGES), me.name, parv[0]);
		return 0;
	}

	sendto_ops_butone(IsServer(cptr) ? cptr : NULL, sptr,
		":%s WALLOPS :%s", parv[0], parv[1]);
	return 0;
}
